LOOK(1)

NAME
look - find lines in a sorted list

SYNOPSIS
look [-df] string [file]

DESCRIPTION
Look consults a sorted file and prints all lines that begin with string. It uses binary search. The options -d and -f affect comparisons as in sort(1). If no file is specified, /usr/lib/dict/words is assumed with collating sequence -df.

OPTIONS

-d  Dictionary order: compare letters, digits and whitespace.

-f  Fold. Upper case letters compare equal to lower case.

FILES

/usr/lib/dict/words
    Sorted list of English words.

SEE ALSO
sort(1), spell(1).

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)